package com.zzsn.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.io.Serializable;

/**
 * 信息源采集Model
 * @author mpf
 * @date 2016-09-08  11:52
 * @company 郑州数能软件科技有限公司
 */
@JsonSerialize(include=JsonSerialize.Inclusion.NON_NULL)
@TableName("cis_ans_processitem_baidu")
public class Processitem implements Comparable<Processitem>, Serializable {
	private static final long serialVersionUID = 1L;

		//columns START
	    /**
	     * id       db_column: ID 
	     * 
	     */ 	
		private Long id;
	    /**
	     * sid       db_column: SID 
	     */ 	
		private Long sid;
	    /**
	     * tid       db_column: TID 
	     */ 	
		private String tid;
	    /**
	     * title       db_column: TITLE 
	     */ 	
		private String title;
	    /**
	     * summary       db_column: SUMMARY 
	     */ 	
		private String summary;
	    /**
	     * keywords       db_column: KEYWORDS 
	     */ 	
		private String keywords;
	    /**
	     * content       db_column: CONTENT 
	     */ 	
		private String content;
	    /**
	     * hash       db_column: HASH 
	     */ 	
		private String hash;
	    /**
	     * author       db_column: AUTHOR 
	     */ 	
		private String author;
	    /**
	     * sourcesite       db_column: SOURCESITE 
	     */ 	
		private String sourcesite;
	    /**
	     * sourceaddress       db_column: SOURCEADDRESS 
	     */ 	
		private String sourceaddress;
	    /**
	     * currentprocess       db_column: CURRENTPROCESS 
	     */ 	
		private String currentprocess;
	    /**
	     * type       db_column: TYPE 
	     */ 	
		private String type;
	    /**
	     * withtagfile       db_column: WITHTAGFILE 
	     */ 	
		private String withtagfile;
	    /**
	     * publishDate       db_column: PUBLISH_DATE 
	     */ 	
		private String publishDate;
	    /**
	     * createBy       db_column: CREATE_BY 
	     */ 	
		private String createBy;
	    /**
	     * createDate       db_column: CREATE_DATE 
	     */ 	
		private String createDate;
	    /**
	     * charset       db_column: CHARSET 
	     */ 	
		private String charset;
	    /**
	     * processResult       db_column: PROCESS_RESULT 
	     */ 	
		private Long processResult;
	    /**
	     * lastModified       db_column: LAST_MODIFIED 
	     */ 	
		private String lastModified;
	    /**
	     * orgId       db_column: ORG_ID 
	     */ 	
		private Long orgId;
	    /**
	     * words       db_column: WORDS 
	     */ 	
		private String words;
	    /**
	     * origin       db_column: ORIGIN 
	     */ 	
		private String origin;
	    /**
	     * orientation       db_column: ORIENTATION 
	     */ 	
		private String orientation;
	    /**
	     * fromWhere       db_column: FROM_WHERE 
	     */ 	
		private String fromWhere;
	    /**
	     * fromId       db_column: FROM_ID 
	     */ 	
		private String fromId;
	    /**
	     * sourceType       db_column: SOURCE_TYPE 
	     */ 	
		private String sourceType;
	    /**
	     * featurewords       db_column: FEATUREWORDS 
	     */ 	
		private String featurewords;
	    /**
	     * fileDownloadPath       db_column: FILE_DOWNLOAD_PATH 
	     */ 	
		private String fileDownloadPath;
	    /**
	     * contentImgCvtTag       db_column: CONTENT_IMG_CVT_TAG 
	     */ 	
		private String contentImgCvtTag;
	    /**
	     * relatePlaces       db_column: RELATE_PLACES 
	     */ 	
		private String relatePlaces;
	    /**
	     * relatePerson       db_column: RELATE_PERSON 
	     */ 	
		private String relatePerson;
	    /**
	     * relateOrg       db_column: RELATE_ORG 
	     */ 	
		private String relateOrg;
	    /**
	     * relateEvent       db_column: RELATE_EVENT 
	     */ 	
		private String relateEvent;
	    /**
	     * relateDate       db_column: RELATE_DATE 
	     */ 	
		private String relateDate;
		//columns END
        /**relevance       db_column:relevance
         * 
         */
		private String relevance;
        /**
         * lang        db_column:lang
         */
		private String lang;
		
		
		public String getRelevance() {
			return relevance;
		}
		public void setRelevance(String relevance) {
			this.relevance = relevance;
		}
		public String getLang() {
			return lang;
		}
		public void setLang(String lang) {
			this.lang = lang;
		}
		public Long getId() {
			return id;
		}
		public void setId(Long id) {
			this.id = id;
		}
		public Long getSid() {
			return sid;
		}
		public void setSid(Long sid) {
			this.sid = sid;
		}
		public String getTid() {
			return tid;
		}
		public void setTid(String tid) {
			this.tid = tid;
		}
		public String getTitle() {
			return title;
		}
		public void setTitle(String title) {
			this.title = title;
		}
		public String getSummary() {
			return summary;
		}
		public void setSummary(String summary) {
			this.summary = summary;
		}
		public String getKeywords() {
			return keywords;
		}
		public void setKeywords(String keywords) {
			this.keywords = keywords;
		}
		public String getContent() {
			return content;
		}
		public void setContent(String content) {
			this.content = content;
		}
		public String getHash() {
			return hash;
		}
		public void setHash(String hash) {
			this.hash = hash;
		}
		public String getAuthor() {
			return author;
		}
		public void setAuthor(String author) {
			this.author = author;
		}
		public String getSourcesite() {
			return sourcesite;
		}
		public void setSourcesite(String sourcesite) {
			this.sourcesite = sourcesite;
		}
		public String getSourceaddress() {
			return sourceaddress;
		}
		public void setSourceaddress(String sourceaddress) {
			this.sourceaddress = sourceaddress;
		}
		public String getCurrentprocess() {
			return currentprocess;
		}
		public void setCurrentprocess(String currentprocess) {
			this.currentprocess = currentprocess;
		}
		public String getType() {
			return type;
		}
		public void setType(String type) {
			this.type = type;
		}
		public String getWithtagfile() {
			return withtagfile;
		}
		public void setWithtagfile(String withtagfile) {
			this.withtagfile = withtagfile;
		}
		public String getPublishDate() {
			return publishDate;
		}
		public void setPublishDate(String publishDate) {
			this.publishDate = publishDate;
		}
		public String getCreateBy() {
			return createBy;
		}
		public void setCreateBy(String createBy) {
			this.createBy = createBy;
		}
		public String getCreateDate() {
			return createDate;
		}
		public void setCreateDate(String createDate) {
			this.createDate = createDate;
		}
		public String getCharset() {
			return charset;
		}
		public void setCharset(String charset) {
			this.charset = charset;
		}
		public Long getProcessResult() {
			return processResult;
		}
		public void setProcessResult(Long processResult) {
			this.processResult = processResult;
		}
		public String getLastModified() {
			return lastModified;
		}
		public void setLastModified(String lastModified) {
			this.lastModified = lastModified;
		}
		public Long getOrgId() {
			return orgId;
		}
		public void setOrgId(Long orgId) {
			this.orgId = orgId;
		}
		public String getWords() {
			return words;
		}
		public void setWords(String words) {
			this.words = words;
		}
		public String getOrigin() {
			return origin;
		}
		public void setOrigin(String origin) {
			this.origin = origin;
		}
		public String getOrientation() {
			return orientation;
		}
		public void setOrientation(String orientation) {
			this.orientation = orientation;
		}
		public String getFromWhere() {
			return fromWhere;
		}
		public void setFromWhere(String fromWhere) {
			this.fromWhere = fromWhere;
		}
		public String getFromId() {
			return fromId;
		}
		public void setFromId(String fromId) {
			this.fromId = fromId;
		}
		public String getSourceType() {
			return sourceType;
		}
		public void setSourceType(String sourceType) {
			this.sourceType = sourceType;
		}
		public String getFeaturewords() {
			return featurewords;
		}
		public void setFeaturewords(String featurewords) {
			this.featurewords = featurewords;
		}
		public String getFileDownloadPath() {
			return fileDownloadPath;
		}
		public void setFileDownloadPath(String fileDownloadPath) {
			this.fileDownloadPath = fileDownloadPath;
		}
		public String getContentImgCvtTag() {
			return contentImgCvtTag;
		}
		public void setContentImgCvtTag(String contentImgCvtTag) {
			this.contentImgCvtTag = contentImgCvtTag;
		}
		public String getRelatePlaces() {
			return relatePlaces;
		}
		public void setRelatePlaces(String relatePlaces) {
			this.relatePlaces = relatePlaces;
		}
		public String getRelatePerson() {
			return relatePerson;
		}
		public void setRelatePerson(String relatePerson) {
			this.relatePerson = relatePerson;
		}
		public String getRelateOrg() {
			return relateOrg;
		}
		public void setRelateOrg(String relateOrg) {
			this.relateOrg = relateOrg;
		}
		public String getRelateEvent() {
			return relateEvent;
		}
		public void setRelateEvent(String relateEvent) {
			this.relateEvent = relateEvent;
		}
		public String getRelateDate() {
			return relateDate;
		}
		public void setRelateDate(String relateDate) {
			this.relateDate = relateDate;
		}

	@Override
	public int compareTo(Processitem o) {
		return this.id.compareTo(o.getId());
	}
}
